package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 补贴状态枚举类
 * @Author: jiang chao
 * @Time: 2024/5/6 15:38
 * @Classname: EPerkStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EPerkStatus {

    /**
     * 未开始
     */
    NOT_START(1, "未开始"),

    /**
     * 进行中
     */
    IN_PROGRESS(2, "进行中"),

    /**
     * 未反补
     */
    NOT_RETURN(3, "未反补"),

    /**
     * 已反补
     */
    RETURNED(4, "已反补"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

}
